Package org.eclipse.help

## Interface IHelpResource

All Known Subinterfaces:
  `IToc`, `IToc2`, `ITopic`, `ITopic2`

    public interface IHelpResource

A help resource, usually a help topic.

This interface models a help resource. In general, help resources are either html help files, or table of contents XML files.

Since:
  2.0

### Field Summary

Fields
`static String` `HREF` This is attribute name used for href in XML files.
`static String` `LABEL` This is attribute name used for label in XML files.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getHref()` Returns the URL (as a string) associated with this help resource.
`String` `getLabel()` Returns the label of this help resource.

### Field Detail

#### HREF

    static final String HREF

This is attribute name used for href in XML files.

See Also:
  Constant Field Values

#### LABEL

    static final String LABEL

This is attribute name used for label in XML files.

See Also:
  Constant Field Values

### Method Detail

#### getHref

    String getHref()

Returns the URL (as a string) associated with this help resource.

Returns:
  the URL (as a string) associated with the resource

  Valid URL of a help resource is:

  - a /pluginID/path/to/resource, where
    - pluginID is the unique identifier of the plugin containing the help resource,
    - path/to/document is the help resource path, relative to the plugin directory.
    For example. /myplugin/mytoc.xml or /myplugin/references/myclass.html are vaild.
  - string representation of URI to an external document. In this case, all special characters have to be enoded such that the URI is appropriate to be opened with a web browser. http://eclipse.org/documents/my%20file.html and jar:file:/c:/my%20sources/src.zip!/mypackage/MyClass.html are examples of valid URIs.

#### getLabel

    String getLabel()

Returns the label of this help resource.

Returns:
  the label